Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.sax
Class ForkDTDHandler

    java.lang.Object
      convert.xml.sax.ForkDTDHandler

All Implemented Interfaces:
  org.xml.sax.DTDHandler

    public class ForkDTDHandler

extends java.lang.Object
implements org.xml.sax.DTDHandler

Constructor Summary
`ForkDTDHandler(org.xml.sax.DTDHandler dh1, org.xml.sax.DTDHandler dh2)`

Method Summary
`void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForkDTDHandler

    public ForkDTDHandler(org.xml.sax.DTDHandler dh1,
                          org.xml.sax.DTDHandler dh2)

Method Detail

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Specified by:
    `notationDecl` in interface `org.xml.sax.DTDHandler`
  Throws:
    `org.xml.sax.SAXException`

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName)
                            throws org.xml.sax.SAXException

  Specified by:
    `unparsedEntityDecl` in interface `org.xml.sax.DTDHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD